﻿using System.Collections.Generic;
using System.Drawing;

namespace RokettoLaunch.Models
{
    public class AppOptions
    {
        public int TilesPerRow { get; set; } = 8;

        public bool ShowBigIcons { get; set; } = true;

        public RyzStudio.Windows.ThemedForms.ButtonTextBox.ThKeyCodeTextBox.Results ShowToggleHotkey { get; set; } = null;

        public bool HideOnClose { get; set; } = true;

        public bool HideOnExecute { get; set; } = true;

        public bool AlwaysOnTop { get; set; } = false;

        public List<TileGroupModel> Groups { get; set; } = new List<TileGroupModel>();

        public Point StartPosition { get; set; } = Point.Empty;

        public int Height { get; set; } = 280;

    }
}